path: /build/build/vulkan-loader-media-libs-1.3.236.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="X wayland" emerge media-libs/vulkan-loader -pv -t && \
    USE="X wayland" emerge -j ${JOBS} --nodeps media-libs/vulkan-loader
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/vulkan-loader && luet-portage --dir
    /pkgdir/vulkan-loader media-libs/vulkan-loader && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:9c7528af25d833c3ab5a751e90b27238fd77ee6a097821c5b02d15a76b2636fa
  package:
    name: vulkan-loader
    version: 1.3.236
    category: media-libs
    use_flags:
    - X
    - wayland
    requires:
    - name: vulkan-headers
      version: '>=0'
      category: dev-util
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Vulkan Installable Client Driver (ICD) Loader
    uri:
    - https://github.com/KhronosGroup/Vulkan-Loader
    license: Apache-2.0
    buildtimestamp: 2023-08-23 08:54:36.305205076 +0000 UTC m=+63.542732765
    labels:
      BDEPEND: '>=dev-util/cmake-3.10.2 dev-util/ninja >=dev-util/cmake-3.9.6'
      DEPEND: =dev-util/vulkan-headers-1.3.236* || ( dev-lang/python:3.10 dev-lang/python:3.8
        dev-lang/python:3.9 dev-lang/python:3.7 ) wayland? ( dev-libs/wayland:= )
        X? ( x11-libs/libX11:= x11-libs/libXrandr:= )
      IUSE: layers wayland X
      emerge.packages: media-libs/vulkan-loader
      kit: core-gl-kit
      original.package.name: media-libs/vulkan-loader
      original.package.slot: "0"
      original.package.version: 1.3.236
    treedir: /build/packages
  package_dir: /pkgdir/vulkan-loader
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: a0201c72ddf3670723ae091eb16f549dfea3178bfcccfd40a53125b3790abec1
compressiontype: zstd
files:
- etc/vulkan/icd.d/.keep_media-libs_vulkan-loader-0
- usr/lib64/libvulkan.so
- usr/lib64/libvulkan.so.1
- usr/lib64/libvulkan.so.1.3.236
- usr/lib64/pkgconfig/vulkan.pc
- usr/share/doc/vulkan-loader-1.3.236/README.md.bz2
- var/db/pkg/media-libs/vulkan-loader-1.3.236/BDEPEND
- var/db/pkg/media-libs/vulkan-loader-1.3.236/BUILD_TIME
- var/db/pkg/media-libs/vulkan-loader-1.3.236/CATEGORY
- var/db/pkg/media-libs/vulkan-loader-1.3.236/CBUILD
- var/db/pkg/media-libs/vulkan-loader-1.3.236/CFLAGS
- var/db/pkg/media-libs/vulkan-loader-1.3.236/CHOST
- var/db/pkg/media-libs/vulkan-loader-1.3.236/CONTENTS
- var/db/pkg/media-libs/vulkan-loader-1.3.236/COUNTER
- var/db/pkg/media-libs/vulkan-loader-1.3.236/CXXFLAGS
- var/db/pkg/media-libs/vulkan-loader-1.3.236/DEFINED_PHASES
- var/db/pkg/media-libs/vulkan-loader-1.3.236/DEPEND
- var/db/pkg/media-libs/vulkan-loader-1.3.236/DESCRIPTION
- var/db/pkg/media-libs/vulkan-loader-1.3.236/EAPI
- var/db/pkg/media-libs/vulkan-loader-1.3.236/FEATURES
- var/db/pkg/media-libs/vulkan-loader-1.3.236/HOMEPAGE
- var/db/pkg/media-libs/vulkan-loader-1.3.236/INHERITED
- var/db/pkg/media-libs/vulkan-loader-1.3.236/IUSE
- var/db/pkg/media-libs/vulkan-loader-1.3.236/IUSE_EFFECTIVE
- var/db/pkg/media-libs/vulkan-loader-1.3.236/KEYWORDS
- var/db/pkg/media-libs/vulkan-loader-1.3.236/LDFLAGS
- var/db/pkg/media-libs/vulkan-loader-1.3.236/LICENSE
- var/db/pkg/media-libs/vulkan-loader-1.3.236/NEEDED
- var/db/pkg/media-libs/vulkan-loader-1.3.236/PF
- var/db/pkg/media-libs/vulkan-loader-1.3.236/PROVIDES
- var/db/pkg/media-libs/vulkan-loader-1.3.236/REQUIRES
- var/db/pkg/media-libs/vulkan-loader-1.3.236/SIZE
- var/db/pkg/media-libs/vulkan-loader-1.3.236/SLOT
- var/db/pkg/media-libs/vulkan-loader-1.3.236/USE
- var/db/pkg/media-libs/vulkan-loader-1.3.236/environment.bz2
- var/db/pkg/media-libs/vulkan-loader-1.3.236/repository
- var/db/pkg/media-libs/vulkan-loader-1.3.236/vulkan-loader-1.3.236.ebuild
package_cacheimage: ""
runtime:
  name: vulkan-loader
  version: 1.3.236
  category: media-libs
  use_flags:
  - X
  - wayland
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Vulkan Installable Client Driver (ICD) Loader
  uri:
  - https://github.com/KhronosGroup/Vulkan-Loader
  license: Apache-2.0
  labels:
    BDEPEND: '>=dev-util/cmake-3.10.2 dev-util/ninja >=dev-util/cmake-3.9.6'
    DEPEND: =dev-util/vulkan-headers-1.3.236* || ( dev-lang/python:3.10 dev-lang/python:3.8
      dev-lang/python:3.9 dev-lang/python:3.7 ) wayland? ( dev-libs/wayland:= ) X?
      ( x11-libs/libX11:= x11-libs/libXrandr:= )
    IUSE: layers wayland X
    emerge.packages: media-libs/vulkan-loader
    kit: core-gl-kit
    original.package.name: media-libs/vulkan-loader
    original.package.slot: "0"
    original.package.version: 1.3.236
